package com.itheima;

import com.itheima.mapper.EmpMapper;
import com.itheima.pojo.Emp;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.Arrays;
import java.util.List;

@SpringBootTest
class SpringbootMybatisCrudApplicationTests {
    @Autowired
    private EmpMapper empMapper;
    @Test
    public void testDelete(){
        empMapper.delete(17);
    }
    @Test
    public void testInsert(){
        Emp emp = new Emp();
        emp.setUsername("Tom1");
        emp.setName("汤姆1");
        emp.setImage("1.jpg");
        emp.setGender((short)1);
        emp.setEntrydate(LocalDate.of(2000,1,1));
        emp.setCreateTime(LocalDateTime.now());
        emp.setUpdateTime(LocalDateTime.now());
        emp.setDeptId(1);

        //新增员工操作
        empMapper.insert(emp);
        System.out.println(emp.getId());
    }
    @Test
    public void testUpdate(){
        Emp emp = new Emp();
        emp.setId(20);
        emp.setUsername("Tom222333");

        empMapper.update(emp);

    }
    //根据id查询员工
    @Test
    public void testgetById(){
        Emp emp = empMapper.getById(20);
        System.out.println(emp);
    }
    //条件查询员工
    //查询名字包含张的入职时间在2010-01-01与2020-01-01之间的按照降序排序
    @Test
    public void testList(){
        List<Emp> empList = empMapper.list(null,null,null,null);
        System.out.println(empList);
    }
    //批量删除员工
    @Test
    public void testDeleteByIds(){
        List<Integer> ids = Arrays.asList(18,20);
        empMapper.deleteByIds(ids);
    }



}
